<?php
	$seiten_id = 'tabelliermaschine';
	$version = '$Id: tabelliermaschine.php 660 2014-09-11 19:59:57Z heribert $';
	$titel = 'BULL Tabelliermaschine';
	
	require "../../lib/technikum29.php";
?>
    <h2>BULL Tabelliermaschine</h2>

    <p>
       Als in den fünfziger Jahren in mittleren und großen Betrieben langsam die elektronische Datenverarbeitung (EDV) auf breiter Ebene einsetzte, stand die Tabelliermaschine im Mittelpunkt. Wie der Name schon andeutet, kann diese Maschine Ausdrucke auf Endlospapier in Tabellenform liefern. Und das in einer für die damalige Zeit atemberaubenden Geschwindigkeit.
       Diese Maschinen wurden daher als wahre technische Wunderwerke bezeichnet und sie waren es auch. Spätestens ein Blick ins Innere einer solchen Maschine lässt erahnen, welche Ingenieurleistung hier vollbracht wurde. Eine Technik, die uns heute fremd ist und die offensichtlich aus einer anderen Welt entstammt.
	</p>
    <p>Die hier abgebildete Tabelliermaschine BULL BS-PR wurde im Oktober 1956 gebaut. Der Kaufpreis betrug damals ca. 260.000,- DM  (130.000. Euro), eine horrende Summe, wenn man bedenkt, dass 1956 ein durchschnittliches KFZ für deutlich unter 3000,- DM zu haben war. Dennoch kamen große Betriebe und insbesondere Banken nicht umhin Lochkartenmaschinen anzuschaffen um rationell arbeiten zu können.</p>
    <p>Tabelliermaschinen konnten durch das Auswechseln einer Schalttafel sehr unterschiedliche kombinierte Schreib- und Rechenarbeiten ausführen.<br>
       Die Programmierung der Tabelliermaschine wurde durch das Stöpseln von Kabeln auf der Schalttafel realisiert. Für jedes Programm wurde eine eigene Schalttafel benötigt. Das Eingebemedium für die Maschine sind nur Lochkarten. Daher waren bei der Lochkarten EDV zur Erstellung, Sortierung, Mischung etc. der Karten weitere Maschinen erforderlich, die in unserem Museum ebenfalls funktionsfähig vorhanden sind.
       <br>Unsere Tabelliermaschine kann z.B. Kontoauszüge berechnen und drucken sowie Multiplikationen und Divisionen ausführen.<br> Im Jahre 1959 schloss ein BULL-Techniker eine Wette indem er behauptete, mit einer Tabelliermaschine könnte man auch Wurzeln beliebiger Zahlen ziehen. Seine Kollegen hielten dagagen; doch er gewann nach längerer Programmierarbeit schließlich die Wette. Dieses Programm ist per Zufall erhalten geblieben. Es wurde von dem damaligen Programmierer im Jahre 2010 nochmals verbessert. Hiermit lassen sich aus 8-stelligen Zahlen die Quadratwurzeln auf 3 Nachkommastellen genau berechnen. Zusätzlich wird eine Debugging Liste mit ausgedruckt, die bei eventuellen Fehlern hilfreich ist. Das ist wirklich einmalig! Das ist damit <b>die einzige Tabelliermaschine der Welt, die Wurzeln berechnen kann</b>.
    </p>

	<p class="small">An dieser Stelle möchten wir uns ganz herzlich beim <a href="http://www.feb-d.de" target="_blank">F.E.B. (Federation des Equipes Bull) Deutschland e.V.</a> für die Mithilfe bei der Reparatur der Tabelliermaschine bedanken.</small></p>
   

    <div class="box center auto-bildbreite">
        <img src="/shared/photos/rechnertechnik/bull-bs-pr/tabelliermaschine.jpg" alt="Bull Tabelliermaschine" width="679" height="658" />  
        <p class="bildtext"><b>Tabelliermaschine Bull BS-PR</b> 
	</div>
	<p>Von außen ein unscheinbarer Blechkasten aber von innen ein Meisterwerk an elektromechanischer Technik. Vorne stehen zwei auswechselbare Schalttafeln, die jeweils an der linken Seite (hier unsichtbar) angedoggt werden. Die linke Tafel beinhaltet ein Programm zur Berechnung und zum Drucken von Kontoauszügen, rechts ist ein einfaches Multiplikationsprogramm gesteckt.</br> Multiplikationen und Divisionen benötigen ein Mehrfaches an Zeit als einfache Saldierungen. Um diese Zeit drastisch zu verkürzen, konnte man den "Elektronenrechner" BULL GAMMA 3 anschließen. </p>
	
    <div class="box left clear-after">
        <img src="/shared/photos/rechnertechnik/bull-bs-pr/relais1.jpg" alt="Teilansicht der Relais der geöffneten Bull-Tabelliermaschine" width="312" height="416" />
        <p class="bildtext">
            Etwa 1500 Relais wurden verwendet, um die programmierbare Steuerung der Maschine durchzuführen. <br>
	        Oben sind die Anschlüsse von 3 der 10 Rechenwerke zu sehen, die alle parallel arbeiten. Sie werden durch den großen Hauptmotor angetrieben, bei jeder Umdrehung bewegen sich ca. 300 Kontakte und ca. ebenso viele Schleifkontakte. Trotz des hohen Alters sind alle Rechenwerke noch voll funktionsfähig.</br>
		</p>
    </div>
	
    <div class="box center auto-bildbreite">
        <img src="/shared/photos/rechnertechnik/rechenwerke.jpg" alt="Rechenwerke der Bull-Tabelliermaschine" width="555" height="329" />
        <p class="bildtext"><b>Rechenwerke</b> der Tabelliermaschine</p>           
    </div>
	<p>Für eine einmalige Aufnahme haben wir zwei der 10 Rechenwerke frei gelegt. Deutlich ist das Prinzip der Sprossenradmaschine zu erkennen. Das Rechnen wird rein mechanisch ausgeführt und elektrisch mit Hilfe von Kontakten abgefühlt. Man sieht sogar den Inhalt der Rechenwerke: Beide stehen auf "144". Die Überträge finden auch mechanisch statt. Es ist erstaunlich, dass solche Maschinen z.B. in Banken täglich 12 Stunden und mehr gelaufen sind, ohne dass gravierende Probleme auftraten.
		</p>	
    <div class="box center auto-bildbreite">
        <img src="/shared/photos/rechnertechnik/bull-bs-pr/offen1.jpg" alt="Vorderansicht der geöffneten Bull-Tabelliermaschine" width="555" height="325" />
        <p class="bildtext"><b>Druckmechanismus</b> der Tabelliermaschine</p>
    </div>
    <p> Hier ist ein Teil des sehr aufwändigen Druckwerkes zu erkennen. Es wird immer eine komplette Zeile gleichzeitig geschrieben. Im Vordergrund sieht man den Lochkarteneinzug. Jede Lochkarte wird zwei Mal gelesen. Beim ersten Abfühlen wird erkannt, ob eine Steuer- bzw. Programmkarte oder eine Datenkarte vorhanden ist. Beim zweiten Auslesen (direkt darunter) wird die Information entsprechend zugeordnet. Zusätzlich kann man auch die Inhalte zweier aufeinander folgender Lochkarten vergleichen.
        </p>